Add Management of Ratings for Tracks from Local Files
Open, NormalPublic

Description

Display (and maybe allow to change) the ratings for local tracks using stars and the existing stars qml components.
Use KFileMetaData to get them, store them, update them and maybe allow to update the ratings inside the tracks.

mgallien created this task.Feb 17 2017, 7:25 AM
mgallien moved this task from Backlog to In Progress on the Elisa board.Apr 4 2017, 7:58 PM
mgallien claimed this task.Apr 4 2017, 8:15 PM
mgallien moved this task from In Progress to Backlog on the Elisa board.Apr 7 2017, 7:04 AM
mgallien removed mgallien as the assignee of this task.Nov 22 2017, 9:52 PM
mgallien moved this task from Backlog to In Progress on the Elisa board.Jan 9 2019, 4:14 PM
mgallien raised the priority of this task from Normal to High.
mgallien claimed this task.Jan 10 2019, 9:57 PM
mgallien moved this task from In Progress to Backlog on the Elisa board.Jan 11 2019, 4:23 PM
mgallien lowered the priority of this task from High to Normal.
mgallien removed mgallien as the assignee of this task.

FYI, writing rating information was added to KF 5.57 via the TagLib writer plugin

FYI, writing rating information was added to KF 5.57 via the TagLib writer plugin

Thanks a lot for your work on this and other items in KFileMetaData.